package envoy.event;

import java.util.List;

import envoy.data.User;

/**
 * Contains a list of {@link User}s for which a search was performed.<br>
 * <br>
 * Project: <strong>envoy-common</strong><br>
 * File: <strong>ContactSearchResult.java</strong><br>
 * Created: <strong>11 Feb 2020</strong><br>
 *
 * @author Kai S. K. Engelbart
 * @since Envoy Common v0.2-alpha
 */
public class ContactSearchResult extends Event<List<User>> {

	private static final long serialVersionUID = 0L;

	/**
	 * Creates an instance of {@link ContactSearchResult}.
	 *
	 * @param users the users found during the search
	 * @since Envoy Common v0.2-alpha
	 */
	public ContactSearchResult(List<User> users) { super(users); }
}
